/*
    This file describes a dialog box for selecting between installed aDIO
    devices.

    --------------------------------------------------------------------------
    This file and its contents are copyright (C) RTD Embedded Technologies,
    Inc.  All Rights Reserved.

    This software is licensed as described in the RTD End-User Software License
    Agreement.  For a copy of this agreement, refer to the file LICENSE.TXT
    (which should be included with this software) or contact RTD Embedded
    Technologies, Inc.
    --------------------------------------------------------------------------

    $Id: aDIO_Select.h 80941 2014-08-01 18:41:26Z mmcintire $
*/


#if !defined(AFX_ADIO_SELECT_H__55551AC3_D753_11D5_A9A7_0000E8432AF8__INCLUDED_)
#define AFX_ADIO_SELECT_H__55551AC3_D753_11D5_A9A7_0000E8432AF8__INCLUDED_

#include "aDIO_Select_Resource.h"
#include "aDIOLib_General.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
//
// aDIO_Select.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// CaDIO_Select dialog
/////////////////////////////////////////////////////////////////////////////

class CaDIO_Select : public CDialog
{
public:
    aDIO_Enum_Info  m_DeviceInfo;
    bool            m_ValidInfo;
    uint8           m_EnumMax;

// Construction
public:
    CaDIO_Select(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    //{{AFX_DATA(CaDIO_Select)
    enum { IDD = IDD_AS_DIALOG_ADIOSELECT };
    CListBox   m_aDIO_List;
    //}}AFX_DATA

// Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CaDIO_Select)
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

// Implementation
protected:
    aDIO_Enum_Info m_EnumList[ADIO_INTRFC_MAX_DEVICE_COUNT];

    // Generated message map functions
    //{{AFX_MSG(CaDIO_Select)
    afx_msg void OnBTNRefresh();
    virtual void OnOK();
    virtual void OnCancel();
    virtual BOOL OnInitDialog();
    afx_msg void OnSelchangeLST();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnLbnDblclkLst();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before
//  the previous line.

// !defined(AFX_ADIO_SELECT_H__55551AC3_D753_11D5_A9A7_0000E8432AF8__INCLUDED_)
#endif
