// InterruptsDlg.h : header file
//

#pragma once

#include "aDIOLib_General.h"
#include "aDIOLib_Port.h"
#include "aDIOLib_Interrupt.h"


// CInterruptsDlg dialog
class CInterruptsDlg : public CDialog
{
// Construction
public:
    CInterruptsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_INTERRUPTS_DIALOG };

    CEdit   m_Mask_Edit;
    CButton m_Mask_Box;

    CEdit   m_Compare_Edit;
    CButton m_Compare_Box;

    CEdit   m_Port1_Edit;
    CButton m_Port1_Box;

    CEdit   m_Port0_Edit;

    CStatic m_Count_Text;

    CButton m_Disabled_Radio;
    CButton m_Strobe_Radio;
    CButton m_Event_Radio;
    CButton m_Match_Radio;



    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support


// Implementation
protected:
    aDIO_Handle m_Handle;

    uint8   m_P1_Output;
    uint8   m_Mask_Val;
    uint8   m_Compare_Val;

    bool                    m_Int_Enabled;
    aDIO_Interrupt_Int_Type m_Int_Type;

    bool UpdateMask(bool quit=true);
    bool UpdateCompare(bool quit=true);
    bool UpdateP1Output(bool quit=true);
    bool UpdateInterruptConfig(bool quit=true);
    bool GetHexByteFromEdit(CEdit* edit, uint8* value);
    void Cleanup();
    void Fail(aDIO_Error error, char* msg, bool quit=true);
    void Delay(uint32 SleepTimeMS);

    HICON m_hIcon;

    // Generated message map functions
    afx_msg void OnMaskChange();
    afx_msg void OnSetMask();
    afx_msg void OnCompareChange();
    afx_msg void OnSetCompare();
    afx_msg void OnPort1Change();
    afx_msg void OnSetPort1();
    afx_msg void OnRadioDisabled();
    afx_msg void OnRadioStrobe();
    afx_msg void OnRadioEvent();
    afx_msg void OnRadioMatch();
    virtual BOOL OnInitDialog();
    afx_msg void OnTimer(UINT_PTR nIDEvent);
    virtual void OnClose();
    virtual void OnOK(void);
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    DECLARE_MESSAGE_MAP()
};
