// PortsDlg.h : header file
//

#pragma once

#include "aDIOLib_General.h"
#include "aDIOLib_Port.h"


// CPortsDlg dialog
class CPortsDlg : public CDialog
{
// Construction
public:
    CPortsDlg(CWnd* pParent = NULL);    // standard constructor

// Dialog Data
    enum { IDD = IDD_PORTS_DIALOG };

    // Port 0
    CEdit   m_P0_Dir_Edit;
    CButton m_P0_DirSet_Box;
    CEdit   m_P0_Out_Edit;
    CButton m_P0_OutSet_Box;
    CEdit   m_P0_In_Edit;

    // Port 1
    CButton m_P1_Dir_Box;
    CEdit   m_P1_Out_Edit;
    CButton m_P1_OutSet_Box;
    CEdit   m_P1_In_Edit;

    // Strobe values
    CStatic m_Strobe0_Text;
    CStatic m_Strobe1_Text;

    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support


// Implementation
protected:
    aDIO_Handle         m_Handle;
    uint8               m_P0_Output;
    uint8               m_P1_Output;
    uint8               m_P0_Direction;
    aDIO_Port_Dir_P1    m_P1_Direction;

    bool UpdateOutput(aDIO_Port_DIO_Port port, bool quit=true);
    bool UpdateDir(bool quit=true);
    bool RefreshDisplay(bool quit=true);
    bool GetHexByteFromEdit(CEdit* edit, uint8* value);
    void Cleanup();
    void Fail(aDIO_Error error, char* msg, bool quit=true);
    void Delay(uint32 SleepTimeMS);

    HICON m_hIcon;

    // Generated message map functions
    afx_msg void OnP0_DirChng();
    afx_msg void OnP0_OutChng();
    afx_msg void OnP1_OutChng();
    afx_msg void OnP0_DirSet();
    afx_msg void OnP0_OutSet();
    afx_msg void OnP1_OutSet();
    afx_msg void OnP1_DirTog();
    virtual BOOL OnInitDialog();
    virtual void OnClose();
    virtual void OnOK(void);
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    DECLARE_MESSAGE_MAP()
};
