/**
    @file
    
    @brief
        This file contains the enumeration of interrupt types, used by the
        driver and the library.
    
    @verbatim
    --------------------------------------------------------------------------
    This file and its contents are copyright (C) RTD Embedded Technologies,
    Inc.  All Rights Reserved.
    
    This software is licensed as described in the RTD End-User Software License
    Agreement.  For a copy of this agreement, refer to the file LICENSE.TXT
    (which should be included with this software) or contact RTD Embedded
    Technologies, Inc.
    --------------------------------------------------------------------------
    @endverbatim
    
    $Id: aDIO_Interrupt_Types.h 39972 2009-08-31 15:46:17Z jstrouse $
*/

#ifndef __ADIO_INTERRUPT_TYPES_H__
#define __ADIO_INTERRUPT_TYPES_H__

/**
    Describes the different types of interrupts generated by the aDIO.
*/
typedef enum
{   
    /**
        Represents the 'Strobe' interrupt.
    */
    ADIO_INT_TYPE_STROBE,

    /**
        Represents the 'Event' interrupt.
    */
    ADIO_INT_TYPE_EVENT,

    /**
        Represents the 'Match' interrupt.
    */
    ADIO_INT_TYPE_MATCH,
    
    /**
        Equals the number of different interrupt types.
    */
    ADIO_INT_TYPE_COUNT,
    
} aDIO_Interrupt_Type;

#endif //__ADIO_INTERRUPT_TYPES_H__

